Page MenuHomePhabricator

Offboard Sandra Müllrick from WMF systems
Closed, ResolvedPublic

Description

She is no longer with WMDE.
I am not sure if the following list complete (e.g. I am not sure if any LDAP account exists). Please advise on what places should also be checked.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2020, 12:22 PM
Aklapper updated the task description. (Show Details)Mar 16 2020, 12:31 PM

I don't have privileges to block the account on the wikis. CC-ing @MoritzMuehlenhoff in hopes that he'll know what we usually do in such cases.

I can't find a name like hers in LDAP but there could be many variations. Do we know if she had a wikitech account at any point?

The person was not an engineering/technical staff member, and as far as I can tell, never had a wikitech account.

If they did not have a wikitech account, they would not be in LDAP. So it's just a matter of the wiki account now.

Volans triaged this task as Medium priority.Mar 23 2020, 11:36 AM
Volans added a subscriber: Volans.Mar 23 2020, 8:32 PM

@WMDE-leszek at the best of my knowledge this has never been done before for WMDE accounts, see for example this list (thanks to quiddity):
https://meta.wikimedia.org/w/index.php?title=Special:Search&limit=250&offset=0&ns2=1&search=intitle%3A%28wmde%29&advancedSearch-current={}

Maybe WMDE would like to come up with your own protocol for this sort of off-boarding?
You could also talk to the WMF Trust & Safety (Trust-and-Safety) team for some advice.

jcrespo closed this task as Resolved.Apr 1 2020, 4:49 PM
jcrespo claimed this task.
jcrespo added a subscriber: jcrespo.

I am going to be bold, @WMDE-leszek and close this ticket as resolved. Everything that SREs could do was done (LDAP and shell access handling)- the wiki account was not touched, and for that either you should contact trust and safety, as suggested above, or other mechanism on wiki. Feel free to reopen (or create a separate ticket for others) if there is something else we (SREs) can do for you.